 /**
 *   la classe gestisce informazioni relative a un esame universitario
 *   quali denominazione dell'insegnamento e votazione conseguita
 *   @author Adriano Luchetta
 *   @version 09-Nov-2007
 *   @version 03-Nov-2005
 *   @version 12-Nov-2004
 *
 */
 
public class Esame
{
   // parte privata
   private String nome;
   private int voto;

   // parte pubblica

   /**
      costruttore: inizializza un esame
      @param unNome denominazione dell'esame
      @param unVoto votazione dell'esame
      @throws IllegalArgumentException se il parametro vale null
   */
   public Esame(String unNome, int unVoto)
   {
      if (unNome == null)
         throw new IllegalArgumentException();

      nome = unNome;
      voto = unVoto;
   }

   /**
     restituisce la votazione conseguita all'esame
     @return il voto
   */
   public int getVoto() { return voto; }

   /**
     restituisce la denominazione di un esame.
     <BR>Esempio: "Matematica A: 25"
     @return stringa con nome dell'esame e voto
   */
   public String toString()
   {
      return nome + ": " + voto;
   }
}

