/**
  * MoneyAmount
  * Rappresenta una quantita' di denaro
  *
  * @author A. Luchetta
  * @version 7-Nov-2007
  */
public class MoneyAmount
{
   private final String CURRENCY;
   private final double UNITS;
   private final double TO_EURO_CONVERSION_RATE;

   public MoneyAmount(double someUnits, String unitCurrency, double toEuroConversionRate)
   {
      UNITS = Math.abs(someUnits);
      CURRENCY = unitCurrency;
      TO_EURO_CONVERSION_RATE = toEuroConversionRate;
   }

   public String getCurrency() {return CURRENCY;}
   public double getUnits() {return UNITS;}
   public double getToEuroConversionRate() {return TO_EURO_CONVERSION_RATE;}
   public double getConvertedToEuroUnits() {return UNITS * TO_EURO_CONVERSION_RATE;}

   public String toString()
   {
      return CURRENCY + " " + String.format("%.2f", UNITS) + " EURO" + " "
         + String.format("%.2f", getConvertedToEuroUnits())
         + " tasso di cambio: " + TO_EURO_CONVERSION_RATE;
   }
}
